import pandas as pd
import scipy
from scipy.stats import pearsonr

def histograma_cpf(assig,cpf):
    df = pd.read_csv('flask_app/scripts/base_de_dades.csv', decimal = ',', sep=',',header=0,skiprows=1)
    df.columns = ["Curs","Quadrimestre","CPF","Selectivitat","Àlgebra","Càlcul 1","Mecànica","Química 1","Fonaments d'Informàtica","Geometria","Càlcul 2","Termodinàmica","Química 2","Expressió Gràfica","Mitja","Barri","Renta"]
    df["CPF"] = df["CPF"].astype(str)
    df_filtrat = df[(df['CPF'] == cpf)]
    df_filtrat = df_filtrat.dropna( axis=0, how='any')

    l_hist=[[cpf,assig]]
    l_cpf=df_filtrat['CPF'].astype(str).to_list()
    l_assig=df_filtrat[assig].astype(float).to_list()


    for linea in range(len(l_cpf)):
        l_aux=[]
        l_aux.append(l_cpf[linea]),l_aux.append(l_assig[linea])
        l_hist.append(l_aux)
    return l_hist

#print(histograma_cpf('Algebra','8024'))
