import pandas as pd

def taula():
    df = pd.read_csv('flask_app/scripts/base_de_dades.csv', decimal = ',', sep=',',header=0,skiprows=1)
    df.columns = ["Curs","Quatrimestre","CPF","Selectivitat","Àlgebra","Càlcul 1","Mecànica","Química 1","Fonaments d'Informàtica","Geometria","Càlcul 2","Termodinàmica","Química 2","Expressió Gràfica","Mitja","Barri","Renta"]
    df_aux = df[["Selectivitat","Àlgebra","Càlcul 1","Mecànica","Química 1","Fonaments d'Informàtica","Geometria","Càlcul 2","Termodinàmica","Química 2","Expressió Gràfica","Mitja",'Barri','CPF']]

    alumnes_cpf = df_aux['CPF'].drop_duplicates().iloc[:].index #ens quedem amb l'index del cpf de cada alumne
    alumnes_index_cpf = alumnes_cpf.to_list()[1:] #posem els index de on comença cada cpf en una llista

    ll=[]
    idx=0
    df_mitjes = pd.DataFrame()
    for cpf in alumnes_index_cpf:    #entrem en la llista de index
        cpf_df = df_aux.iloc[idx:cpf]
        idx = cpf 
        if cpf_df['CPF'].count() > 0:
            for assig in ["Selectivitat","Àlgebra","Càlcul 1","Mecànica","Química 1","Fonaments d'Informàtica","Geometria","Càlcul 2","Termodinàmica","Química 2","Expressió Gràfica","Mitja"]:
                assignatura = cpf_df[assig].astype(float)
                barri = cpf_df['Barri'].astype(str)
                cpf = cpf_df['CPF'].astype(str)
                val = barri.values
                val2 = cpf.values
                num_alumnes = cpf_df[assig].count()
                ll.append(assignatura.mean())
            ll.append(val[0])
            ll.append(val2[0])
            ll.append(num_alumnes)
            df_mitjes_barri = pd.DataFrame([ll], columns =["Selectivitat","Àlgebra","Càlcul 1","Mecànica","Química 1","Fonaments d'Informàtica","Geometria","Càlcul 2","Termodinàmica","Química 2","Expressió Gràfica","Mitja", 'Barri','CPF',"Número d'alumnes"])
            df_mitjes = df_mitjes.append(df_mitjes_barri,ignore_index=True)    
            df_mitjes= df_mitjes[['CPF','Barri',"Selectivitat","Àlgebra","Càlcul 1","Mecànica","Química 1","Fonaments d'Informàtica","Geometria","Càlcul 2","Termodinàmica","Química 2","Expressió Gràfica","Mitja","Número d'alumnes"]]
            
        ll=[]
    df_mitjes = df_mitjes.sort_values("Número d'alumnes",ascending=False)
    
    return(df_mitjes.values.tolist())